For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunitySign Up
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
HomeGuidesVerbsAPI ReferenceSelf-HostingClient SDKsTutorialsChangelog
    • Introduction
  • REST Call Control
  • REST Platform Management
      • GETretrieve public IP addresses of the jambonz SBCs
      • GETretrieve voip carrier
      • PUTupdate voip carrier
      • DELdelete a voip carrier
      • GETlist sip gateways
      • POSTcreate sip gateway
      • GETretrieve sip gateway
      • PUTupdate sip gateway
      • DELdelete a sip gateway
      • GETget all carriers availlble to the account
      • POSTcreate a carrier as a service provider
      • GETget all carriers for an account
      • POSTcreate a carrier for an account
      • POSTadd a carrier to a service provider using a template
  • Webhooks
    • GETNew Call
    • POSTNew Call
    • POSTClient Authentication
    • POSTNew Client Tool Request
  • Websocket API
LogoLogo
CommunitySign Up
REST Platform ManagementCarriers

get all carriers availlble to the account

GET
https://api.jambonz.cloud/v1/ServiceProviders/:ServiceProviderSid/VoipCarriers
GET
/v1/ServiceProviders/:ServiceProviderSid/VoipCarriers
$curl https://api.jambonz.cloud/v1/ServiceProviders/ServiceProviderSid/VoipCarriers \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "service_provider_sid": "6072f617-6151-4c15-8eb9-74a4967ab701",
4 "name": "Acme VoIP Carrier",
5 "description": "Primary SIP trunk provider for North America region",
6 "account_sid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
7 "application_sid": "123e4567-e89b-12d3-a456-426614174000",
8 "e164_leading_plus": true,
9 "requires_register": true,
10 "register_username": "acme_user",
11 "register_sip_realm": "sip.acmevoip.com",
12 "register_password": "securePass!2024",
13 "tech_prefix": "ACM",
14 "diversion": "sip:+12345556789@acmevoip.com",
15 "is_active": true,
16 "smpp_system_id": "acme_smpp",
17 "smpp_password": "smppSecret123",
18 "smpp_inbound_system_id": "acme_inbound",
19 "smpp_inbound_password": "inboundPass456",
20 "smpp_enquire_link_interval": 30,
21 "trunk_type": "static_ip",
22 "inbound_auth_username": "acme_inbound_user",
23 "inbound_auth_password": "inboundAuthPass"
24 }
25]
Was this page helpful?
Previous

create a carrier as a service provider

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ServiceProviderSidstringRequired

Response

account listing
service_provider_sidstringformat: "uuid"
namestring
descriptionstring
account_sidstringformat: "uuid"
application_sidstringformat: "uuid"
e164_leading_plusboolean
requires_registerboolean
register_usernamestring
register_sip_realmstring
register_passwordstring
tech_prefixstring
diversionstring
is_activeboolean
smpp_system_idstring
smpp_passwordstring
smpp_inbound_system_idstring
smpp_inbound_passwordstring
smpp_enquire_link_intervalinteger
trunk_typeenumDefaults to static_ip

The type of trunk to create, see the guide for details

Allowed values:
inbound_auth_usernamestring<=64 characters
username for an auth trunk
inbound_auth_passwordstring<=64 characters
password for an auth trunk

Errors

403
Forbidden Error
404
Not Found Error